Attachment form too wide on small screens
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.2.1   

Description

When uploading attachments to Redmine (issues, wiki pages or documents) using small screens, then the progress bar and the

optional description field do not fit on the screen. Attached you may find a patch proposing a fix.

Before
"Optional description" field is partially hidden. Delete attachment is totally hidden.

After

 screen-capture-42.png 

Upload and description are now on separate rows. The delete icon is moved to the top right corner, where it is clear, that it belongs to

the whole block - similar to the (x) in window systems. There is also added white space between multiple attachments to make sure,

that the input grouping is clear to the user.

Associated revisions

Revision 15218 - 2016-03-12 11:30 - Jean-Philippe Lang

Update alignment of attachment upload form for small screens (#22128).

Patch by Gregor Schmidt.

Revision 15219 - 2016-03-12 11:32 - Jean-Philippe Lang

Merged r15218 (#22128).

History

#1 - 2016-03-07 07:38 - Go MAEDA

- Assignee set to Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

It works fine for me.

jan jan, could you review this patch?

#2 - 2016-03-08 08:37 - Jan from Planio www.plan.io

- Status changed from New to Resolved

- Assignee deleted (Jan from Planio www.plan.io)

Gregor works for Planio at the moment and his contributions are sponsored by Planio, so the patch has already been reviewed by us in-house. The

patch is good, I am setting it to resolved – just needs a merge. Thanks!

#3 - 2016-03-08 08:40 - Go MAEDA

- Status changed from Resolved to New

- Target version changed from Candidate for next minor release to 3.2.1

Thanks, Jan. Setting target version to 3.2.1.

#4 - 2016-03-12 11:34 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Merged in 3.2, thanks.
